Bug 496425 - Review Request: perl-B-Hooks-OP-Check - Wrap OP check callbacks
Review Request: perl-B-Hooks-OP-Check - Wrap OP check callbacks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/B-Hooks-O...
:
Depends On:
Blocks: 496429
  Show dependency treegraph
 
Reported: 2009-04-18 21:09 EDT by Chris Weyl
Modified: 2013-05-10 08:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 17:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-18 21:09:14 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-B-Hooks-OP-Check.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-B-Hooks-OP-Check-0.15-1.fc10.src.rpm

Description:
This module provides a C API for XS modules to hook into the callbacks
of 'PL_check'.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307368

Additional Comment:

This package is a new BR of Catalyst::Runtime 5.80001

*rt-0.06
Comment 1 Iain Arnell 2009-04-19 04:53:51 EDT
+ source files match upstream.  
  c794aef1af95ef73a51835274431ae23f5b3467f  B-Hooks-OP-Check-0.15.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic 

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1307368

+ package installs properly.
+ rpmlint has an acceptable warning:
  perl-B-Hooks-OP-Check.src: I: checking
  perl-B-Hooks-OP-Check.x86_64: I: checking
  perl-B-Hooks-OP-Check.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/B/Hooks/OP/Check/Install/hook_op_check.h
  perl-B-Hooks-OP-Check-debuginfo.ppc: I: checking
  3 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ final provides and requires are sane:
  perl(B::Hooks::OP::Check) = 0.15
  perl(B::Hooks::OP::Check::Install::Files)  
  perl-B-Hooks-OP-Check = 0.15-1.fc11
  perl-B-Hooks-OP-Check(x86-64) = 0.15-1.fc11

=
  perl(:MODULE_COMPAT_5.10.0)  
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(VersionedDependencies) <= 3.0.3-1
  libc.so.6()(64bit)  
  libc.so.6(GLIBC_2.2.5)(64bit)  
  perl >= 0:5.008001
  perl(parent)  
  perl(strict)  
  perl(warnings)  
  rpmlib(VersionedDependencies) <= 3.0.3-1
  rtld(GNU_HASH)  

+ %check is present and all tests pass.
  All tests successful.
  Files=1, Tests=1,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.04 cusr  0.01 csys =  0.09 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.
Comment 2 Chris Weyl 2009-04-19 13:55:18 EDT
New Package CVS Request
=======================
Package Name: perl-B-Hooks-OP-Check
Short Description: Wrap OP check callbacks
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-21 16:23:45 EDT
I assume you wanted a F-11 branch as well. 

cvs done with F-11 added.
Comment 4 Chris Weyl 2009-04-21 17:26:50 EDT
Thanks for the review! :-)
Comment 5 Andrea Veri 2013-05-10 07:59:13 EDT
Package Change Request
======================
Package Name: perl-B-Hooks-OP-Check
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2013-05-10 08:10:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.